// DReminder -- data class for AMReminder

#pragma once

#include "AMSignaler.h"

#define idDateAndTime		'Date'
#define idMessage		'Mese'
#define idShowAlert		'Shot'
#define idShowIcon		'Shon'
#define idPlaySound		'Plad'
#define idSoundIndex		'Soux'
#define idDateString		'Datg'
#define idTimeString		'Timg'
#define idAmPm		'AmPm'

//----------
struct DReminder {
	AMSignaler		super;

	LongDateRec		mDateAndTime;
	Str255		mMessage;
	Boolean		mShowAlert;
	Boolean		mShowIcon;
	Boolean		mPlaySound;
	SInt16		mSoundIndex;
};
typedef struct DReminder DReminder;

//----------
DReminder*		NewDReminder ();
void	DeleteDReminder		(DReminder*		data);

//----------
void		DReminder_Init	(DReminder*		self);
void		DReminder_Free	(DReminder*		self);

LongDateRec		GetDateAndTime		(DReminder*		self);
void		SetDateAndTime		(DReminder*		self,
							 LongDateRec		inValue);
StringPtr	GetMessage		(DReminder*		self);
void		SetMessageStr	(DReminder*		self,
							 Str255		inValue);
void		SetMessageHandle	(DReminder*		self,
							 CharsHandle		inValue);
Boolean		GetShowAlert		(DReminder*		self);
void		SetShowAlert		(DReminder*		self,
							 Boolean		inValue);
Boolean		GetShowIcon		(DReminder*		self);
void		SetShowIcon		(DReminder*		self,
							 Boolean		inValue);
Boolean		GetPlaySound		(DReminder*		self);
void		SetPlaySound		(DReminder*		self,
							 Boolean		inValue);
SInt16		GetSoundIndex		(DReminder*		self);
void		SetSoundIndex		(DReminder*		self,
							 SInt16		inValue);
StringPtr	GetDateString		(DReminder*		self);
void		SetDateStringStr	(DReminder*		self,
							 Str255		inValue);
void		SetDateStringHandle	(DReminder*		self,
							 CharsHandle		inValue);
StringPtr	GetTimeString		(DReminder*		self);
void		SetTimeStringStr	(DReminder*		self,
							 Str255		inValue);
void		SetTimeStringHandle	(DReminder*		self,
							 CharsHandle		inValue);
SInt16		GetAmPm		(DReminder*		self);
void		SetAmPm		(DReminder*		self,
							 SInt16		inValue);
