// DModalTextData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idSmall2		'Sma2'
#define idLarge2		'Lar2'
#define idX12346		'X146'
#define idX12345e7		'X127'
#define idPassword2		'Pas2'
#define idDate2		'Dat2'
#define idTime2		'Tim2'
#define idStyled2		'Sty2'

//----------
struct DModalTextData {
	AMSignaler		super;

	Str255		mSmall2;
	Str255		mLarge2;
	SInt32		mX12346;
	double		mX12345e7;
	Str255		mPassword2;
	LongDateRec		mDate2;
	LongDateRec		mTime2;
	Str255		mStyled2;
};
typedef struct DModalTextData DModalTextData;

//----------
DModalTextData*		NewDModalTextData ();
void	DeleteDModalTextData		(DModalTextData*		data);

//----------
void		DModalTextData_Init	(DModalTextData*		self);
void		DModalTextData_Free	(DModalTextData*		self);

StringPtr	GetSmall2		(DModalTextData*		self);
void		SetSmall2Str	(DModalTextData*		self,
							 Str255		inValue);
void		SetSmall2Handle	(DModalTextData*		self,
							 CharsHandle		inValue);
StringPtr	GetLarge2		(DModalTextData*		self);
void		SetLarge2Str	(DModalTextData*		self,
							 Str255		inValue);
void		SetLarge2Handle	(DModalTextData*		self,
							 CharsHandle		inValue);
SInt32		GetX12346		(DModalTextData*		self);
void		SetX12346		(DModalTextData*		self,
							 SInt32		inValue);
double		GetX12345e7		(DModalTextData*		self);
void		SetX12345e7		(DModalTextData*		self,
							 double		inValue);
StringPtr	GetPassword2		(DModalTextData*		self);
void		SetPassword2Str	(DModalTextData*		self,
							 Str255		inValue);
void		SetPassword2Handle	(DModalTextData*		self,
							 CharsHandle		inValue);
LongDateRec		GetDate2		(DModalTextData*		self);
void		SetDate2		(DModalTextData*		self,
							 LongDateRec		inValue);
LongDateRec		GetTime2		(DModalTextData*		self);
void		SetTime2		(DModalTextData*		self,
							 LongDateRec		inValue);
StringPtr	GetStyled2		(DModalTextData*		self);
void		SetStyled2Str	(DModalTextData*		self,
							 Str255		inValue);
void		SetStyled2Handle	(DModalTextData*		self,
							 CharsHandle		inValue);
