// DModelessBarsData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idBars3		'Bar4'
#define idStandard8		'Sta8'
#define idGraphic6		'Gra6'
#define idSlider3		'Sli3'
#define idTickMarks3		'Tic3'
#define idNonDirectional3		'Non3'
#define idLittleArrows3		'Lit3'
#define idSpinner3		'Spi3'
#define idVolumeControl3		'Vol3'
#define idJimSSlider3		'Jim3'
#define idStandard9		'Sta9'
#define idIndeterminate3		'Ind3'
#define idChasingArrows3		'Cha3'
#define idRectangle3		'Rec3'
#define idRoundRect3		'Rou4'
#define idBarberPole3		'Bar5'
#define idRoundBarber3		'Rou5'

//----------
struct DModelessBarsData {
	AMSignaler		super;

	UInt16		mBars3;
	SInt16		mStandard8;
	SInt16		mGraphic6;
	SInt16		mSlider3;
	SInt16		mTickMarks3;
	SInt16		mNonDirectional3;
	SInt16		mLittleArrows3;
	SInt16		mSpinner3;
	SInt16		mVolumeControl3;
	SInt16		mJimSSlider3;
	SInt16		mStandard9;
	SInt16		mIndeterminate3;
	SInt16		mChasingArrows3;
	SInt16		mRectangle3;
	SInt16		mRoundRect3;
	SInt16		mBarberPole3;
	SInt16		mRoundBarber3;
};
typedef struct DModelessBarsData DModelessBarsData;

//----------
DModelessBarsData*		NewDModelessBarsData ();
void	DeleteDModelessBarsData		(DModelessBarsData*		data);

//----------
void		DModelessBarsData_Init	(DModelessBarsData*		self);
void		DModelessBarsData_Free	(DModelessBarsData*		self);

UInt16		GetBars3		(DModelessBarsData*		self);
void		SetBars3		(DModelessBarsData*		self,
							 UInt16		inValue);
SInt16		GetStandard8		(DModelessBarsData*		self);
void		SetStandard8		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetGraphic6		(DModelessBarsData*		self);
void		SetGraphic6		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetSlider3		(DModelessBarsData*		self);
void		SetSlider3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetTickMarks3		(DModelessBarsData*		self);
void		SetTickMarks3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetNonDirectional3		(DModelessBarsData*		self);
void		SetNonDirectional3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetLittleArrows3		(DModelessBarsData*		self);
void		SetLittleArrows3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetSpinner3		(DModelessBarsData*		self);
void		SetSpinner3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetVolumeControl3		(DModelessBarsData*		self);
void		SetVolumeControl3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetJimSSlider3		(DModelessBarsData*		self);
void		SetJimSSlider3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetStandard9		(DModelessBarsData*		self);
void		SetStandard9		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetIndeterminate3		(DModelessBarsData*		self);
void		SetIndeterminate3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetChasingArrows3		(DModelessBarsData*		self);
void		SetChasingArrows3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetRectangle3		(DModelessBarsData*		self);
void		SetRectangle3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetRoundRect3		(DModelessBarsData*		self);
void		SetRoundRect3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetBarberPole3		(DModelessBarsData*		self);
void		SetBarberPole3		(DModelessBarsData*		self,
							 SInt16		inValue);
SInt16		GetRoundBarber3		(DModelessBarsData*		self);
void		SetRoundBarber3		(DModelessBarsData*		self,
							 SInt16		inValue);
