// DModelessCheckboxesData.cp -- data container class for Everything

#include "PString.h"
#include "DModelessCheckboxesData.h"

#include <stdlib.h>

//----------
DModelessCheckboxesData*		NewDModelessCheckboxesData ()
{
	DModelessCheckboxesData*		data;

	data = (DModelessCheckboxesData*)malloc (sizeof (DModelessCheckboxesData));
	DModelessCheckboxesData_Init (data);

	return data;
}

//----------
void	DeleteDModelessCheckboxesData (
	DModelessCheckboxesData*		data)
{
	DModelessCheckboxesData_Free (data);
	free (data);
}

//----------
void	DModelessCheckboxesData_Init (
	DModelessCheckboxesData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mStandard7 = false;
	self->mXx3 = false;
	self->mLR9 = false;
	self->mLR10 = false;
	self->mLR11 = false;
	self->mLR12 = false;
	self->mCheckbox5 = false;
	self->mCheckbox6 = false;
	self->mNext5 = false;
	self->mNext6 = false;
}

//----------
void	DModelessCheckboxesData_Free (
	DModelessCheckboxesData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
Boolean		GetStandard7 (
	DModelessCheckboxesData*		self)
{

	return self->mStandard7;
}

void	SetStandard7 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mStandard7 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idStandard7);
}

//----------
Boolean		GetXx3 (
	DModelessCheckboxesData*		self)
{

	return self->mXx3;
}

void	SetXx3 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mXx3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idXx3);
}

//----------
Boolean		GetLR9 (
	DModelessCheckboxesData*		self)
{

	return self->mLR9;
}

void	SetLR9 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR9 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR9);
}

//----------
Boolean		GetLR10 (
	DModelessCheckboxesData*		self)
{

	return self->mLR10;
}

void	SetLR10 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR10 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR10);
}

//----------
Boolean		GetLR11 (
	DModelessCheckboxesData*		self)
{

	return self->mLR11;
}

void	SetLR11 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR11 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR11);
}

//----------
Boolean		GetLR12 (
	DModelessCheckboxesData*		self)
{

	return self->mLR12;
}

void	SetLR12 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mLR12 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idLR12);
}

//----------
Boolean		GetCheckbox5 (
	DModelessCheckboxesData*		self)
{

	return self->mCheckbox5;
}

void	SetCheckbox5 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mCheckbox5 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idCheckbox5);
}

//----------
Boolean		GetCheckbox6 (
	DModelessCheckboxesData*		self)
{

	return self->mCheckbox6;
}

void	SetCheckbox6 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mCheckbox6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idCheckbox6);
}

//----------
Boolean		GetNext5 (
	DModelessCheckboxesData*		self)
{

	return self->mNext5;
}

void	SetNext5 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mNext5 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext5);
}

//----------
Boolean		GetNext6 (
	DModelessCheckboxesData*		self)
{

	return self->mNext6;
}

void	SetNext6 (
	DModelessCheckboxesData*		self,
	Boolean		inValue)
{
	self->mNext6 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idNext6);
}
