// DModelessCheckboxesData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idStandard7		'Sta7'
#define idXx3		'Xx3 '
#define idLR9		'LR9 '
#define idLR10		'LR10'
#define idLR11		'LR11'
#define idLR12		'LR12'
#define idCheckbox5		'Che5'
#define idCheckbox6		'Che6'
#define idNext5		'Nex5'
#define idNext6		'Nex6'

//----------
struct DModelessCheckboxesData {
	AMSignaler		super;

	Boolean		mStandard7;
	Boolean		mXx3;
	Boolean		mLR9;
	Boolean		mLR10;
	Boolean		mLR11;
	Boolean		mLR12;
	Boolean		mCheckbox5;
	Boolean		mCheckbox6;
	Boolean		mNext5;
	Boolean		mNext6;
};
typedef struct DModelessCheckboxesData DModelessCheckboxesData;

//----------
DModelessCheckboxesData*		NewDModelessCheckboxesData ();
void	DeleteDModelessCheckboxesData		(DModelessCheckboxesData*		data);

//----------
void		DModelessCheckboxesData_Init	(DModelessCheckboxesData*		self);
void		DModelessCheckboxesData_Free	(DModelessCheckboxesData*		self);

Boolean		GetStandard7		(DModelessCheckboxesData*		self);
void		SetStandard7		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetXx3		(DModelessCheckboxesData*		self);
void		SetXx3		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR9		(DModelessCheckboxesData*		self);
void		SetLR9		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR10		(DModelessCheckboxesData*		self);
void		SetLR10		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR11		(DModelessCheckboxesData*		self);
void		SetLR11		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR12		(DModelessCheckboxesData*		self);
void		SetLR12		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetCheckbox5		(DModelessCheckboxesData*		self);
void		SetCheckbox5		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetCheckbox6		(DModelessCheckboxesData*		self);
void		SetCheckbox6		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetNext5		(DModelessCheckboxesData*		self);
void		SetNext5		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetNext6		(DModelessCheckboxesData*		self);
void		SetNext6		(DModelessCheckboxesData*		self,
							 Boolean		inValue);
