// DModelessStuffData.cp -- data container class for Everything

#include "PString.h"
#include "DModelessStuffData.h"

#include <stdlib.h>

//----------
DModelessStuffData*		NewDModelessStuffData ()
{
	DModelessStuffData*		data;

	data = (DModelessStuffData*)malloc (sizeof (DModelessStuffData));
	DModelessStuffData_Init (data);

	return data;
}

//----------
void	DeleteDModelessStuffData (
	DModelessStuffData*		data)
{
	DModelessStuffData_Free (data);
	free (data);
}

//----------
void	DModelessStuffData_Init (
	DModelessStuffData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mTools3 = 0;
	self->mFromValuesList4 = 0;
	self->mFromMenu3 = 0;
	self->mTextList3 = 0;
}

//----------
void	DModelessStuffData_Free (
	DModelessStuffData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
SInt16		GetTools3 (
	DModelessStuffData*		self)
{

	return self->mTools3;
}

void	SetTools3 (
	DModelessStuffData*		self,
	SInt16		inValue)
{
	self->mTools3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTools3);
}

//----------
SInt16		GetFromValuesList4 (
	DModelessStuffData*		self)
{

	return self->mFromValuesList4;
}

void	SetFromValuesList4 (
	DModelessStuffData*		self,
	SInt16		inValue)
{
	self->mFromValuesList4 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromValuesList4);
}

//----------
SInt16		GetFromMenu3 (
	DModelessStuffData*		self)
{

	return self->mFromMenu3;
}

void	SetFromMenu3 (
	DModelessStuffData*		self,
	SInt16		inValue)
{
	self->mFromMenu3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idFromMenu3);
}

//----------
SInt16		GetTextList3 (
	DModelessStuffData*		self)
{

	return self->mTextList3;
}

void	SetTextList3 (
	DModelessStuffData*		self,
	SInt16		inValue)
{
	self->mTextList3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTextList3);
}
