// DModelessTextData.cp -- data container class for Everything

#include "PString.h"
#include "DModelessTextData.h"

#include <stdlib.h>

//----------
DModelessTextData*		NewDModelessTextData ()
{
	DModelessTextData*		data;

	data = (DModelessTextData*)malloc (sizeof (DModelessTextData));
	DModelessTextData_Init (data);

	return data;
}

//----------
void	DeleteDModelessTextData (
	DModelessTextData*		data)
{
	DModelessTextData_Free (data);
	free (data);
}

//----------
void	DModelessTextData_Init (
	DModelessTextData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	AssignPStr (self->mSmall3, "\pSmall");
	AssignPStr (self->mLarge3, "\pLarge");
	self->mX12347 = 12345;
	self->mX12345e8 = 123.45e6;
	AssignPStr (self->mPassword3, "\pPassword");
	self->mDate3.od.eraAlt = 0;
	GetTime (&self->mDate3.od.oldDate);
	self->mTime3.od.eraAlt = 0;
	GetTime (&self->mTime3.od.oldDate);
	AssignPStr (self->mStyled3, "\pStyled");
}

//----------
void	DModelessTextData_Free (
	DModelessTextData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
StringPtr	GetSmall3 (
	DModelessTextData*		self)
{

	AssignPStr (nil, self->mSmall3);
	return self->mSmall3;
}

void	SetSmall3Str (
	DModelessTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mSmall3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall3);
}

void	SetSmall3Handle (
	DModelessTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mSmall3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall3);
}

//----------
StringPtr	GetLarge3 (
	DModelessTextData*		self)
{

	AssignPStr (nil, self->mLarge3);
	return self->mLarge3;
}

void	SetLarge3Str (
	DModelessTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mLarge3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge3);
}

void	SetLarge3Handle (
	DModelessTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mLarge3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge3);
}

//----------
SInt32		GetX12347 (
	DModelessTextData*		self)
{

	return self->mX12347;
}

void	SetX12347 (
	DModelessTextData*		self,
	SInt32		inValue)
{
	self->mX12347 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12347);
}

//----------
double		GetX12345e8 (
	DModelessTextData*		self)
{

	return self->mX12345e8;
}

void	SetX12345e8 (
	DModelessTextData*		self,
	double		inValue)
{
	self->mX12345e8 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12345e8);
}

//----------
StringPtr	GetPassword3 (
	DModelessTextData*		self)
{

	AssignPStr (nil, self->mPassword3);
	return self->mPassword3;
}

void	SetPassword3Str (
	DModelessTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mPassword3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword3);
}

void	SetPassword3Handle (
	DModelessTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mPassword3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword3);
}

//----------
LongDateRec		GetDate3 (
	DModelessTextData*		self)
{

	return self->mDate3;
}

void	SetDate3 (
	DModelessTextData*		self,
	LongDateRec		inValue)
{
	self->mDate3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idDate3);
}

//----------
LongDateRec		GetTime3 (
	DModelessTextData*		self)
{

	return self->mTime3;
}

void	SetTime3 (
	DModelessTextData*		self,
	LongDateRec		inValue)
{
	self->mTime3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTime3);
}

//----------
StringPtr	GetStyled3 (
	DModelessTextData*		self)
{

	AssignPStr (nil, self->mStyled3);
	return self->mStyled3;
}

void	SetStyled3Str (
	DModelessTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mStyled3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled3);
}

void	SetStyled3Handle (
	DModelessTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mStyled3, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled3);
}
