// DModelessTextData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idSmall3		'Sma3'
#define idLarge3		'Lar3'
#define idX12347		'X147'
#define idX12345e8		'X128'
#define idPassword3		'Pas3'
#define idDate3		'Dat3'
#define idTime3		'Tim3'
#define idStyled3		'Sty3'

//----------
struct DModelessTextData {
	AMSignaler		super;

	Str255		mSmall3;
	Str255		mLarge3;
	SInt32		mX12347;
	double		mX12345e8;
	Str255		mPassword3;
	LongDateRec		mDate3;
	LongDateRec		mTime3;
	Str255		mStyled3;
};
typedef struct DModelessTextData DModelessTextData;

//----------
DModelessTextData*		NewDModelessTextData ();
void	DeleteDModelessTextData		(DModelessTextData*		data);

//----------
void		DModelessTextData_Init	(DModelessTextData*		self);
void		DModelessTextData_Free	(DModelessTextData*		self);

StringPtr	GetSmall3		(DModelessTextData*		self);
void		SetSmall3Str	(DModelessTextData*		self,
							 Str255		inValue);
void		SetSmall3Handle	(DModelessTextData*		self,
							 CharsHandle		inValue);
StringPtr	GetLarge3		(DModelessTextData*		self);
void		SetLarge3Str	(DModelessTextData*		self,
							 Str255		inValue);
void		SetLarge3Handle	(DModelessTextData*		self,
							 CharsHandle		inValue);
SInt32		GetX12347		(DModelessTextData*		self);
void		SetX12347		(DModelessTextData*		self,
							 SInt32		inValue);
double		GetX12345e8		(DModelessTextData*		self);
void		SetX12345e8		(DModelessTextData*		self,
							 double		inValue);
StringPtr	GetPassword3		(DModelessTextData*		self);
void		SetPassword3Str	(DModelessTextData*		self,
							 Str255		inValue);
void		SetPassword3Handle	(DModelessTextData*		self,
							 CharsHandle		inValue);
LongDateRec		GetDate3		(DModelessTextData*		self);
void		SetDate3		(DModelessTextData*		self,
							 LongDateRec		inValue);
LongDateRec		GetTime3		(DModelessTextData*		self);
void		SetTime3		(DModelessTextData*		self,
							 LongDateRec		inValue);
StringPtr	GetStyled3		(DModelessTextData*		self);
void		SetStyled3Str	(DModelessTextData*		self,
							 Str255		inValue);
void		SetStyled3Handle	(DModelessTextData*		self,
							 CharsHandle		inValue);
