// EverythingDoc.h -- document-level functions

#pragma once

#include "AMDoc.h"

#include "EverythingEngine.h"

//----------
struct EverythingDoc {
	AMDoc		super;

	WindowPtr		mButtonsPtr;
	WindowPtr		mCheckboxesPtr;
	WindowPtr		mRadiosPtr;
	WindowPtr		mEditTextPtr;
	WindowPtr		mStuffPtr;
	WindowPtr		mBarsPtr;
};
typedef struct EverythingDoc EverythingDoc;

//----------
EverythingDoc*		NewEverythingDoc ();

//----------
void	EverythingDoc_Init	(EverythingDoc*	self);
void	EverythingDoc_Free	(EverythingDoc*	self);

// overrides:
Boolean		DoDocCommand	(AMDoc*		self,
							 long		inCommand);

void		OpenWindows		(AMDoc*		self);
Boolean		WouldCloseDoc	(AMDoc*		self,
							 WindowPtr	windPtr);
