/* ModalStuff.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DModalStuffData.h"

/*----------*/
Boolean		GetModalStuff	(DModalStuffData*		ioData);

//----------
struct ModalStuff {
	AMDialog		super;

	DModalStuffData*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mToolsHandle;
	ControlHandle	mPopupsHandle;
	ControlHandle	mFromValuesList2Handle;
	ControlHandle	mFromMenuHandle;
	ControlHandle	mListsHandle;
	ControlHandle	mTextListHandle;
};
typedef struct ModalStuff ModalStuff;

//----------
ModalStuff*		NewModalStuff ();
void	DeleteModalStuff		(ModalStuff*		window);

//public:
void	ModalStuff_Init		(ModalStuff*	self);
void	ModalStuff_Free		(ModalStuff*	self);

//public:
void	ModalStuff_ConnectToData	(ModalStuff*	self,
								 AMSignaler*	inData);

//protected:
void	ModalStuff_FinishMake 		(ModalStuff*	self);
void	ModalStuff_DoItem			(ModalStuff*	self,
								 SInt16		inItemHit);
void	ModalStuff_DataChanged		(ModalStuff*	self,
								 long		inDataID);
Boolean	ModalStuff_Filter			(ModalStuff*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
