// ModelessCheckboxes.h -- modeless dialog

#pragma once

#include "AMDialog.h"
#include "DModelessCheckboxesData.h"

//----------
struct ModelessCheckboxes {
	AMDialog		super;

	DModelessCheckboxesData*		mData;

	ControlHandle	mStandardHandle;
	ControlHandle	mXxHandle;
	ControlHandle	mGraphicHandle;
	ControlHandle	mLRHandle;
	ControlHandle	mLR2Handle;
	ControlHandle	mLR3Handle;
	ControlHandle	mLR4Handle;
	ControlHandle	mCheckboxHandle;
	ControlHandle	mBevelHandle;
	ControlHandle	mCheckbox2Handle;
	ControlHandle	mNextHandle;
	ControlHandle	mNext2Handle;
};
typedef struct ModelessCheckboxes ModelessCheckboxes;

//----------
ModelessCheckboxes*		NewModelessCheckboxes ();
void	DeleteModelessCheckboxes		(ModelessCheckboxes*		window);

//public:
void	ModelessCheckboxes_Create ();
void	ModelessCheckboxes_Show ();
void	ModelessCheckboxes_Close ();

//public:
void	ModelessCheckboxes_Init		(ModelessCheckboxes*	self);
void	ModelessCheckboxes_Free		(ModelessCheckboxes*	self);

//public:
void	ModelessCheckboxes_ConnectToData	(ModelessCheckboxes*	self,
								 AMSignaler*	inData);
void	ModelessCheckboxes_DoItem			(ModelessCheckboxes*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessCheckboxes_FinishMake 		(ModelessCheckboxes*	self);
void	ModelessCheckboxes_DataChanged		(ModelessCheckboxes*	self,
								 long		inDataID);
Boolean	ModelessCheckboxes_Filter			(ModelessCheckboxes*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessCheckboxesDialog;
