// ModelessRadios.h -- modeless dialog

#pragma once

#include "AMDialog.h"
#include "DModelessRadiosData.h"

//----------
struct ModelessRadios {
	AMDialog		super;

	DModelessRadiosData*		mData;

	ControlHandle	mRadioGroupGroupHandle;
	ControlHandle	mStandardHandle;
	ControlHandle	mGroupBoxHandle;
	ControlHandle	mGroupGroupHandle;
	ControlHandle	mGroupRadio1Handle;
	ControlHandle	mGroupRadio2Handle;
	ControlHandle	mGroupRadio3Handle;
	ControlHandle	mGraphicBoxHandle;
	ControlHandle	mGraphicGroupHandle;
	ControlHandle	mStopHandle;
	ControlHandle	mGoHandle;
	ControlHandle	mBevelBoxHandle;
	ControlHandle	mBevelGroupHandle;
	ControlHandle	mRadioButtonHandle;
	ControlHandle	mRadioButton2Handle;
	ControlHandle	mTextBoxHandle;
	ControlHandle	mTextGroupHandle;
	ControlHandle	mNameHandle;
	ControlHandle	mKindHandle;
	ControlHandle	mSizeHandle;
};
typedef struct ModelessRadios ModelessRadios;

//----------
ModelessRadios*		NewModelessRadios ();
void	DeleteModelessRadios		(ModelessRadios*		window);

//public:
void	ModelessRadios_Create ();
void	ModelessRadios_Show ();
void	ModelessRadios_Close ();

//public:
void	ModelessRadios_Init		(ModelessRadios*	self);
void	ModelessRadios_Free		(ModelessRadios*	self);

//public:
void	ModelessRadios_ConnectToData	(ModelessRadios*	self,
								 AMSignaler*	inData);
void	ModelessRadios_DoItem			(ModelessRadios*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessRadios_FinishMake 		(ModelessRadios*	self);
void	ModelessRadios_DataChanged		(ModelessRadios*	self,
								 long		inDataID);
Boolean	ModelessRadios_Filter			(ModelessRadios*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessRadiosDialog;
