// ModelessText.h -- modeless dialog

#pragma once

#include "AMDialog.h"
#include "DModelessTextData.h"

//----------
struct ModelessText {
	AMDialog		super;

	DModelessTextData*		mData;

	ControlHandle	mSmallHandle;
	ControlHandle	mLargeHandle;
	ControlHandle	mX12345Handle;
	ControlHandle	mX12345e6Handle;
	ControlHandle	mPasswordHandle;
	ControlHandle	mDateHandle;
	ControlHandle	mTimeHandle;
	ControlHandle	mStyledHandle;
};
typedef struct ModelessText ModelessText;

//----------
ModelessText*		NewModelessText ();
void	DeleteModelessText		(ModelessText*		window);

//public:
void	ModelessText_Create ();
void	ModelessText_Show ();
void	ModelessText_Close ();

//public:
void	ModelessText_Init		(ModelessText*	self);
void	ModelessText_Free		(ModelessText*	self);

//public:
void	ModelessText_ConnectToData	(ModelessText*	self,
								 AMSignaler*	inData);
void	ModelessText_DoItem			(ModelessText*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessText_FinishMake 		(ModelessText*	self);
void	ModelessText_DataChanged		(ModelessText*	self,
								 long		inDataID);
Boolean	ModelessText_Filter			(ModelessText*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessTextDialog;
