/* GadgetsEngine.h -- application-specific data management */

#pragma once

#include "AMEngine.h"

/* Define the creator type and file type for your application. */

#define kSignature		'XXXX'
#define kFileType		'TEXT'

#include "DDocData.h"

//----------
struct GadgetsEngine {
	AMEngine		super;
};
typedef struct GadgetsEngine GadgetsEngine;

//----------
GadgetsEngine*		NewGadgetsEngine ();

//----------
void	GadgetsEngine_Init		(GadgetsEngine*		self);
void	GadgetsEngine_Free		(GadgetsEngine*		self);

DDocData*	GetDocData	(GadgetsEngine*		self);

// overrides:
void	InitData		(AMEngine*		engine);
void	DisposeData		(AMEngine*		engine);
void	ReadFile		(AMEngine*		engine);
void	WriteFile		(AMEngine*		engine);
