// ResourceDefs.h 

// Standard Resources: 
// ALRT IDs 
#define AboutID			1
#define NeedsAppearanceID		2
#define IOErrorID		4
#define SaveID			5
#define RevertID		6
#define CantPrintID		8

// 'STR ' IDs 
#define STR_SaveAsPrompt		202

// commands:
#define cmdQuit			'Quit'
#define cmdNew			'New '
#define cmdOpen			'Open'
#define cmdClose		'Cloe'
#define cmdSave			'Save'
#define cmdSaveAs		'Savs'
#define cmdRevert		'Revt'
#define cmdPageSetup	'Pagp'
#define cmdPrint		'Prit'
#define cmdUndo			'Undo'
#define cmdCut			'Cut '
#define cmdCopy			'Copy'
#define cmdPaste		'Pase'
#define cmdClear		'Cler'
#define cmdSelectAll	'Sell'
#define cmdShowClipboard	'Shod'
#define cmdAbout		'Abot'

// Gadgets Resources: 
#define MENU_Apple		128
#define cAppleAbout		(128 * 65536) + 1

#define MENU_File		129
#define cFileNew		(129 * 65536) + 1
#define cFileOpen		(129 * 65536) + 2
#define cFileClose		(129 * 65536) + 4
#define cFileSave		(129 * 65536) + 5
#define cFileSaveAs		(129 * 65536) + 6
#define cFileRevert		(129 * 65536) + 7
#define cFilePageSetup		(129 * 65536) + 9
#define cFilePrint		(129 * 65536) + 10
#define cFileQuit		(129 * 65536) + 12

#define MENU_Edit		130
#define cEditUndo		(130 * 65536) + 1
#define cEditCut		(130 * 65536) + 3
#define cEditCopy		(130 * 65536) + 4
#define cEditPaste		(130 * 65536) + 5
#define cEditClear		(130 * 65536) + 6
#define cEditSelectAll		(130 * 65536) + 7
#define cEditShowClipboard		(130 * 65536) + 9

#define MENU_Popup		131
#define cPopupApple		(131 * 65536) + 1
#define cPopupBanana		(131 * 65536) + 2
#define cPopupCherry		(131 * 65536) + 3
#define cPopupDonut		(131 * 65536) + 4

#define MENU_Bevel		132
#define cBevelApple		(132 * 65536) + 1
#define cBevelBanana		(132 * 65536) + 2
#define cBevelCherry		(132 * 65536) + 3
#define cBevelDonut		(132 * 65536) + 4


// for Buttons:
#define WIND_Buttons		200
#define CNTL_Standard		201
#define CNTL_RightIcon		202
#define CNTL_Bevel		204
#define CNTL_Xx		206
#define CNTL_CapTriangle		207
#define TEXT_CapTriangle		208
#define CNTL_Light		209
#define CNTL_LeftRight		212
#define CNTL_RadiosBox		215
#define CNTL_RadiosGroup	216
#define CNTL_RadioButton		217
#define CNTL_RadioButton2		219
#define CNTL_Invisible		221
#define CNTL_CapInvisible		222
#define TEXT_CapInvisible		223

// for TabbedPanel:
#define WIND_TabbedPanel		230
#define CNTL_Bars		232
#define CNTL_ScrollBars		233
#define CNTL_Standard2		234
#define CNTL_Graphic		235
#define CNTL_Slider		238
#define CNTL_TickMarks		239
#define CNTL_NonDirectional		240
#define CNTL_LittleArrows		241
#define CNTL_Spinner		242
#define CNTL_VolumeControl		243
#define CNTL_JimSSlider		244
#define CNTL_ProgressBars		245
#define CNTL_Standard3		246
#define CNTL_Indeterminate		247
#define CNTL_ChasingArrows		248
#define CNTL_Rectangle		249
#define CNTL_RoundRect		250
#define CNTL_BarberPole		251
#define CNTL_RoundBarber		252

// for EditText:
#define WIND_EditText		260
#define CNTL_Small		261
#define CNTL_Large		262
#define CNTL_X12345		263
#define CNTL_X12345e6		264
#define CNTL_Password		265
#define CNTL_Date		266
#define CNTL_Time		267
#define CNTL_Styled		268

// for AboutDialog:
#define DLOG_AboutDialog		270

// commands:
#define cmdInvokeAbout		'Invt'

// menu handles
extern MenuHandle		AppleMenu;
extern MenuHandle		FileMenu;
extern MenuHandle		EditMenu;
extern MenuHandle		PopupMenu;
extern MenuHandle		BevelMenu;
