// TemperatureDoc.h -- document-level functions

#pragma once

#include "AMDoc.h"

#include "TemperatureEngine.h"

//----------
struct TemperatureDoc {
	AMDoc		super;

	WindowPtr		mMainWindowPtr;
};
typedef struct TemperatureDoc TemperatureDoc;

//----------
TemperatureDoc*		NewTemperatureDoc ();

//----------
void	TemperatureDoc_Init	(TemperatureDoc*	self);
void	TemperatureDoc_Free	(TemperatureDoc*	self);

// overrides:
Boolean		DoDocCommand	(AMDoc*		self,
							 long		inCommand);

void		OpenWindows		(AMDoc*		self);
Boolean		WouldCloseDoc	(AMDoc*		self,
							 WindowPtr	windPtr);
