// AMReminderDoc.h -- document-level functions

#pragma once

#include "AMDoc.h"

#include "AMReminderEngine.h"

//----------
struct AMReminderDoc {
	AMDoc		super;

	WindowPtr		mMainWindowPtr;
};
typedef struct AMReminderDoc AMReminderDoc;

//----------
AMReminderDoc*		NewAMReminderDoc ();

//----------
void	AMReminderDoc_Init	(AMReminderDoc*	self);
void	AMReminderDoc_Free	(AMReminderDoc*	self);

// overrides:
Boolean		DoDocCommand	(AMDoc*		self,
							 long		inCommand);

void		OpenWindows		(AMDoc*		self);
Boolean		WouldCloseDoc	(AMDoc*		self,
							 WindowPtr	windPtr);
