/* AMReminderEngine.h -- application-specific data management */

#pragma once

#include "AMEngine.h"

/* Define the creator type and file type for your application. */

#define kSignature		'XXXX'
#define kFileType		'TEXT'

#include "DReminder.h"
#include "DDocData.h"

//----------
struct AMReminderEngine {
	AMEngine		super;
};
typedef struct AMReminderEngine AMReminderEngine;

//----------
AMReminderEngine*		NewAMReminderEngine ();

//----------
void	AMReminderEngine_Init		(AMReminderEngine*		self);
void	AMReminderEngine_Free		(AMReminderEngine*		self);

DReminder*	GetReminder	(AMReminderEngine*		self);
DDocData*	GetDocData	(AMReminderEngine*		self);

// overrides:
void	InitData		(AMEngine*		engine);
void	DisposeData		(AMEngine*		engine);
void	ReadFile		(AMEngine*		engine);
void	WriteFile		(AMEngine*		engine);
