/* Add.h -- Modal dialog */

#pragma once

#include "AMDialog.h"
#include "DReminder.h"

/*----------*/
Boolean		GetAdd	(DReminder*		ioData);

//----------
struct Add {
	AMDialog		super;

	DReminder*		mData;

	ControlHandle	mOKHandle;
	ControlHandle	mCancelHandle;
	ControlHandle	mDate2Handle;
	ControlHandle	mTime2Handle;
	ControlHandle	mMessage2Handle;
	ControlHandle	mDisplayIconHandle;
	ControlHandle	mDisplayAlertHandle;
	ControlHandle	mPlaySoundHandle;
	ControlHandle	mSoundPopupHandle;
};
typedef struct Add Add;

//----------
Add*		NewAdd ();
void	DeleteAdd		(Add*		window);

//public:
void	Add_Init		(Add*	self);
void	Add_Free		(Add*	self);

//public:
void	Add_ConnectToData	(Add*	self,
								 AMSignaler*	inData);

//protected:
void	Add_FinishMake 		(Add*	self);
void	Add_DoItem			(Add*	self,
								 SInt16		inItemHit);
void	Add_DataChanged		(Add*	self,
								 long		inDataID);
Boolean	Add_Filter			(Add*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
