// DDocData -- data class for AMReminder

#pragma once

#include "AMSignaler.h"

#define idReminderChoice		'Reme'
#define idReminders		'Rems'
#include "DReminder.h"

//----------
struct DDocData {
	AMSignaler		super;

	SInt16		mReminderChoice;
	DReminder*		mReminders;
};
typedef struct DDocData DDocData;

//----------
DDocData*		NewDDocData ();
void	DeleteDDocData		(DDocData*		data);

//----------
void		DDocData_Init	(DDocData*		self);
void		DDocData_Free	(DDocData*		self);

SInt16		GetReminderChoice		(DDocData*		self);
void		SetReminderChoice		(DDocData*		self,
							 SInt16		inValue);
DReminder*		GetReminders		(DDocData*		self);
void		SetReminders		(DDocData*		self,
							 DReminder*		inValue);
