// ResourceDefs.h 

// Standard Resources: 
// ALRT IDs 
#define AboutID			1
#define NeedsAppearanceID		2
#define IOErrorID		4
#define SaveID			5
#define RevertID		6
#define CantPrintID		8

// 'STR ' IDs 
#define STR_SaveAsPrompt		202

// commands:
#define cmdQuit			'Quit'
#define cmdNew			'New '
#define cmdOpen			'Open'
#define cmdClose		'Cloe'
#define cmdSave			'Save'
#define cmdSaveAs		'Savs'
#define cmdRevert		'Revt'
#define cmdPageSetup	'Pagp'
#define cmdPrint		'Prit'
#define cmdUndo			'Undo'
#define cmdCut			'Cut '
#define cmdCopy			'Copy'
#define cmdPaste		'Pase'
#define cmdClear		'Cler'
#define cmdSelectAll	'Sell'
#define cmdShowClipboard	'Shod'
#define cmdAbout		'Abot'

// AMReminder Resources: 
#define MENU_Apple		128
#define cAppleAbout		(128 * 65536) + 1

#define MENU_File		129
#define cFileNew		(129 * 65536) + 1
#define cFileOpen		(129 * 65536) + 2
#define cFileClose		(129 * 65536) + 4
#define cFileSave		(129 * 65536) + 5
#define cFileSaveAs		(129 * 65536) + 6
#define cFileRevert		(129 * 65536) + 7
#define cFilePageSetup		(129 * 65536) + 9
#define cFilePrint		(129 * 65536) + 10
#define cFileQuit		(129 * 65536) + 12

#define MENU_Edit		130
#define cEditUndo		(130 * 65536) + 1
#define cEditCut		(130 * 65536) + 3
#define cEditCopy		(130 * 65536) + 4
#define cEditPaste		(130 * 65536) + 5
#define cEditClear		(130 * 65536) + 6
#define cEditSelectAll		(130 * 65536) + 7
#define cEditShowClipboard		(130 * 65536) + 9

#define MENU_Remind		131
#define cRemindCancelReminder		(131 * 65536) + 1
#define cRemindHideReminders		(131 * 65536) + 2


// for MainWindow:
#define WIND_MainWindow		200
#define PICT_Logo		202
#define CNTL_Logo		201
#define CNTL_Year		203
#define TEXT_Year		204
#define CNTL_RemindersLabel		205
#define TEXT_RemindersLabel		206
#define CNTL_Reminders		208
#define CNTL_Add		209
#define CNTL_Edit		210
#define CNTL_Delete		211

// for Add:
#define DLOG_Add		220

// commands:
#define cmdAddReminder		'Addr'
#define cmdEditReminder		'Edir'
#define cmdDeleteReminder		'Delr'

// menu handles
extern MenuHandle		AppleMenu;
extern MenuHandle		FileMenu;
extern MenuHandle		EditMenu;
extern MenuHandle		RemindMenu;
extern MenuHandle		SoundPopupMenu;
