/* AboutDialog.h -- Modal dialog */

#pragma once

#include "AMDialog.h"

/*----------*/
Boolean		GetAboutDialog ();

//----------
struct AboutDialog {
	AMDialog		super;

	ControlHandle	mOKHandle;
};
typedef struct AboutDialog AboutDialog;

//----------
AboutDialog*		NewAboutDialog ();
void	DeleteAboutDialog		(AboutDialog*		window);

//public:
void	AboutDialog_Init		(AboutDialog*	self);
void	AboutDialog_Free		(AboutDialog*	self);

//public:
void	AboutDialog_ConnectToData	(AboutDialog*	self,
								 AMSignaler*	inData);

//protected:
void	AboutDialog_FinishMake 		(AboutDialog*	self);
void	AboutDialog_DoItem			(AboutDialog*	self,
								 SInt16		inItemHit);
void	AboutDialog_DataChanged		(AboutDialog*	self,
								 long		inDataID);
Boolean	AboutDialog_Filter			(AboutDialog*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);
