// DDocData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idStandard		'Stad'
#define idXx		'Xx  '
#define idLight		'Ligt'
#define idLight2		'Lig2'
#define idLR3		'LR3 '
#define idLR4		'LR4 '
#define idIcl8Next		'Iclt'
#define idNextAlone		'Nexe'
#define idNext		'Next'
#define idNext2		'Nex2'
#define idRadioGroup		'Radp'
#define idGroup		'Grop'
#define idGraphic		'Grac'
#define idBevel		'Bevl'
#define idText		'Text'
#define idSmall		'Smal'
#define idLarge		'Lare'
#define idX12345		'X145'
#define idX12345e6		'X126'
#define idPassword		'Pasd'
#define idTheDate		'Thee'
#define idTheTime		'Thee'
#define idStyled		'Styd'
#define idBars		'Bars'
#define idStandard2		'Sta2'
#define idGraphic2		'Gra2'
#define idSlider		'Slir'
#define idTickMarks		'Tics'
#define idNonDirectional		'Nonl'
#define idLittleArrows		'Lits'
#define idSpinner		'Spir'
#define idVolumeControl		'Voll'
#define idJimSSlider		'Jimr'
#define idStandard3		'Sta3'
#define idIndeterminate		'Inde'
#define idChasingArrows		'Chas'
#define idRectangle		'Rece'
#define idRoundRect		'Rout'
#define idBarberPole		'Bare'
#define idRoundBarber		'Rour'
#define idTools		'Toos'
#define idFromValuesList2		'Fro2'
#define idFromMenu		'Frou'
#define idTextList		'Tex2'

//----------
struct DDocData {
	AMSignaler		super;

	Boolean		mStandard;
	Boolean		mXx;
	Boolean		mLight;
	Boolean		mLight2;
	Boolean		mLR3;
	Boolean		mLR4;
	Boolean		mIcl8Next;
	Boolean		mNextAlone;
	Boolean		mNext;
	Boolean		mNext2;
	SInt16		mRadioGroup;
	SInt16		mGroup;
	SInt16		mGraphic;
	SInt16		mBevel;
	SInt16		mText;
	Str255		mSmall;
	Str255		mLarge;
	SInt32		mX12345;
	double		mX12345e6;
	Str255		mPassword;
	LongDateRec		mTheDate;
	LongDateRec		mTheTime;
	Str255		mStyled;
	UInt16		mBars;
	SInt16		mStandard2;
	SInt16		mGraphic2;
	SInt16		mSlider;
	SInt16		mTickMarks;
	SInt16		mNonDirectional;
	SInt16		mLittleArrows;
	SInt16		mSpinner;
	SInt16		mVolumeControl;
	SInt16		mJimSSlider;
	SInt16		mStandard3;
	SInt16		mIndeterminate;
	SInt16		mChasingArrows;
	SInt16		mRectangle;
	SInt16		mRoundRect;
	SInt16		mBarberPole;
	SInt16		mRoundBarber;
	SInt16		mTools;
	SInt16		mFromValuesList2;
	SInt16		mFromMenu;
	SInt16		mTextList;
};
typedef struct DDocData DDocData;

//----------
DDocData*		NewDDocData ();
void	DeleteDDocData		(DDocData*		data);

//----------
void		DDocData_Init	(DDocData*		self);
void		DDocData_Free	(DDocData*		self);

Boolean		GetStandard		(DDocData*		self);
void		SetStandard		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetXx		(DDocData*		self);
void		SetXx		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetLight		(DDocData*		self);
void		SetLight		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetLight2		(DDocData*		self);
void		SetLight2		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetLR3		(DDocData*		self);
void		SetLR3		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetLR4		(DDocData*		self);
void		SetLR4		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetIcl8Next		(DDocData*		self);
void		SetIcl8Next		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetNextAlone		(DDocData*		self);
void		SetNextAlone		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetNext		(DDocData*		self);
void		SetNext		(DDocData*		self,
							 Boolean		inValue);
Boolean		GetNext2		(DDocData*		self);
void		SetNext2		(DDocData*		self,
							 Boolean		inValue);
SInt16		GetRadioGroup		(DDocData*		self);
void		SetRadioGroup		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetGroup		(DDocData*		self);
void		SetGroup		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetGraphic		(DDocData*		self);
void		SetGraphic		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetBevel		(DDocData*		self);
void		SetBevel		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetText		(DDocData*		self);
void		SetText		(DDocData*		self,
							 SInt16		inValue);
StringPtr	GetSmall		(DDocData*		self);
void		SetSmallStr	(DDocData*		self,
							 Str255		inValue);
void		SetSmallHandle	(DDocData*		self,
							 CharsHandle		inValue);
StringPtr	GetLarge		(DDocData*		self);
void		SetLargeStr	(DDocData*		self,
							 Str255		inValue);
void		SetLargeHandle	(DDocData*		self,
							 CharsHandle		inValue);
SInt32		GetX12345		(DDocData*		self);
void		SetX12345		(DDocData*		self,
							 SInt32		inValue);
double		GetX12345e6		(DDocData*		self);
void		SetX12345e6		(DDocData*		self,
							 double		inValue);
StringPtr	GetPassword		(DDocData*		self);
void		SetPasswordStr	(DDocData*		self,
							 Str255		inValue);
void		SetPasswordHandle	(DDocData*		self,
							 CharsHandle		inValue);
LongDateRec		GetTheDate		(DDocData*		self);
void		SetTheDate		(DDocData*		self,
							 LongDateRec		inValue);
LongDateRec		GetTheTime		(DDocData*		self);
void		SetTheTime		(DDocData*		self,
							 LongDateRec		inValue);
StringPtr	GetStyled		(DDocData*		self);
void		SetStyledStr	(DDocData*		self,
							 Str255		inValue);
void		SetStyledHandle	(DDocData*		self,
							 CharsHandle		inValue);
UInt16		GetBars		(DDocData*		self);
void		SetBars		(DDocData*		self,
							 UInt16		inValue);
SInt16		GetStandard2		(DDocData*		self);
void		SetStandard2		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetGraphic2		(DDocData*		self);
void		SetGraphic2		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetSlider		(DDocData*		self);
void		SetSlider		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetTickMarks		(DDocData*		self);
void		SetTickMarks		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetNonDirectional		(DDocData*		self);
void		SetNonDirectional		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetLittleArrows		(DDocData*		self);
void		SetLittleArrows		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetSpinner		(DDocData*		self);
void		SetSpinner		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetVolumeControl		(DDocData*		self);
void		SetVolumeControl		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetJimSSlider		(DDocData*		self);
void		SetJimSSlider		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetStandard3		(DDocData*		self);
void		SetStandard3		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetIndeterminate		(DDocData*		self);
void		SetIndeterminate		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetChasingArrows		(DDocData*		self);
void		SetChasingArrows		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRectangle		(DDocData*		self);
void		SetRectangle		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRoundRect		(DDocData*		self);
void		SetRoundRect		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetBarberPole		(DDocData*		self);
void		SetBarberPole		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetRoundBarber		(DDocData*		self);
void		SetRoundBarber		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetTools		(DDocData*		self);
void		SetTools		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetFromValuesList2		(DDocData*		self);
void		SetFromValuesList2		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetFromMenu		(DDocData*		self);
void		SetFromMenu		(DDocData*		self,
							 SInt16		inValue);
SInt16		GetTextList		(DDocData*		self);
void		SetTextList		(DDocData*		self,
							 SInt16		inValue);
