// DModalBarsData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idBars2		'Bar2'
#define idStandard5		'Sta5'
#define idGraphic4		'Gra4'
#define idSlider2		'Sli2'
#define idTickMarks2		'Tic2'
#define idNonDirectional2		'Non2'
#define idLittleArrows2		'Lit2'
#define idSpinner2		'Spi2'
#define idVolumeControl2		'Vol2'
#define idJimSSlider2		'Jim2'
#define idStandard6		'Sta6'
#define idIndeterminate2		'Ind2'
#define idChasingArrows2		'Cha2'
#define idRectangle2		'Rec2'
#define idRoundRect2		'Rou2'
#define idBarberPole2		'Bar3'
#define idRoundBarber2		'Rou3'

//----------
struct DModalBarsData {
	AMSignaler		super;

	UInt16		mBars2;
	SInt16		mStandard5;
	SInt16		mGraphic4;
	SInt16		mSlider2;
	SInt16		mTickMarks2;
	SInt16		mNonDirectional2;
	SInt16		mLittleArrows2;
	SInt16		mSpinner2;
	SInt16		mVolumeControl2;
	SInt16		mJimSSlider2;
	SInt16		mStandard6;
	SInt16		mIndeterminate2;
	SInt16		mChasingArrows2;
	SInt16		mRectangle2;
	SInt16		mRoundRect2;
	SInt16		mBarberPole2;
	SInt16		mRoundBarber2;
};
typedef struct DModalBarsData DModalBarsData;

//----------
DModalBarsData*		NewDModalBarsData ();
void	DeleteDModalBarsData		(DModalBarsData*		data);

//----------
void		DModalBarsData_Init	(DModalBarsData*		self);
void		DModalBarsData_Free	(DModalBarsData*		self);

UInt16		GetBars2		(DModalBarsData*		self);
void		SetBars2		(DModalBarsData*		self,
							 UInt16		inValue);
SInt16		GetStandard5		(DModalBarsData*		self);
void		SetStandard5		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetGraphic4		(DModalBarsData*		self);
void		SetGraphic4		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetSlider2		(DModalBarsData*		self);
void		SetSlider2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetTickMarks2		(DModalBarsData*		self);
void		SetTickMarks2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetNonDirectional2		(DModalBarsData*		self);
void		SetNonDirectional2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetLittleArrows2		(DModalBarsData*		self);
void		SetLittleArrows2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetSpinner2		(DModalBarsData*		self);
void		SetSpinner2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetVolumeControl2		(DModalBarsData*		self);
void		SetVolumeControl2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetJimSSlider2		(DModalBarsData*		self);
void		SetJimSSlider2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetStandard6		(DModalBarsData*		self);
void		SetStandard6		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetIndeterminate2		(DModalBarsData*		self);
void		SetIndeterminate2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetChasingArrows2		(DModalBarsData*		self);
void		SetChasingArrows2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetRectangle2		(DModalBarsData*		self);
void		SetRectangle2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetRoundRect2		(DModalBarsData*		self);
void		SetRoundRect2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetBarberPole2		(DModalBarsData*		self);
void		SetBarberPole2		(DModalBarsData*		self,
							 SInt16		inValue);
SInt16		GetRoundBarber2		(DModalBarsData*		self);
void		SetRoundBarber2		(DModalBarsData*		self,
							 SInt16		inValue);
