// DModalCheckboxesData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idStandard4		'Sta4'
#define idXx2		'Xx2 '
#define idLR5		'LR5 '
#define idLR6		'LR6 '
#define idLR7		'LR7 '
#define idLR8		'LR8 '
#define idCheckbox3		'Che3'
#define idCheckbox4		'Che4'
#define idNext3		'Nex3'
#define idNext4		'Nex4'

//----------
struct DModalCheckboxesData {
	AMSignaler		super;

	Boolean		mStandard4;
	Boolean		mXx2;
	Boolean		mLR5;
	Boolean		mLR6;
	Boolean		mLR7;
	Boolean		mLR8;
	Boolean		mCheckbox3;
	Boolean		mCheckbox4;
	Boolean		mNext3;
	Boolean		mNext4;
};
typedef struct DModalCheckboxesData DModalCheckboxesData;

//----------
DModalCheckboxesData*		NewDModalCheckboxesData ();
void	DeleteDModalCheckboxesData		(DModalCheckboxesData*		data);

//----------
void		DModalCheckboxesData_Init	(DModalCheckboxesData*		self);
void		DModalCheckboxesData_Free	(DModalCheckboxesData*		self);

Boolean		GetStandard4		(DModalCheckboxesData*		self);
void		SetStandard4		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetXx2		(DModalCheckboxesData*		self);
void		SetXx2		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR5		(DModalCheckboxesData*		self);
void		SetLR5		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR6		(DModalCheckboxesData*		self);
void		SetLR6		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR7		(DModalCheckboxesData*		self);
void		SetLR7		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetLR8		(DModalCheckboxesData*		self);
void		SetLR8		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetCheckbox3		(DModalCheckboxesData*		self);
void		SetCheckbox3		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetCheckbox4		(DModalCheckboxesData*		self);
void		SetCheckbox4		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetNext3		(DModalCheckboxesData*		self);
void		SetNext3		(DModalCheckboxesData*		self,
							 Boolean		inValue);
Boolean		GetNext4		(DModalCheckboxesData*		self);
void		SetNext4		(DModalCheckboxesData*		self,
							 Boolean		inValue);
