// DModalRadiosData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idRadioGroup2		'Rad2'
#define idGroup2		'Gro2'
#define idGraphic3		'Gra3'
#define idBevel2		'Bev2'
#define idText2		'Tex3'

//----------
struct DModalRadiosData {
	AMSignaler		super;

	SInt16		mRadioGroup2;
	SInt16		mGroup2;
	SInt16		mGraphic3;
	SInt16		mBevel2;
	SInt16		mText2;
};
typedef struct DModalRadiosData DModalRadiosData;

//----------
DModalRadiosData*		NewDModalRadiosData ();
void	DeleteDModalRadiosData		(DModalRadiosData*		data);

//----------
void		DModalRadiosData_Init	(DModalRadiosData*		self);
void		DModalRadiosData_Free	(DModalRadiosData*		self);

SInt16		GetRadioGroup2		(DModalRadiosData*		self);
void		SetRadioGroup2		(DModalRadiosData*		self,
							 SInt16		inValue);
SInt16		GetGroup2		(DModalRadiosData*		self);
void		SetGroup2		(DModalRadiosData*		self,
							 SInt16		inValue);
SInt16		GetGraphic3		(DModalRadiosData*		self);
void		SetGraphic3		(DModalRadiosData*		self,
							 SInt16		inValue);
SInt16		GetBevel2		(DModalRadiosData*		self);
void		SetBevel2		(DModalRadiosData*		self,
							 SInt16		inValue);
SInt16		GetText2		(DModalRadiosData*		self);
void		SetText2		(DModalRadiosData*		self,
							 SInt16		inValue);
