// DModalTextData.cp -- data container class for Everything

#include "PString.h"
#include "DModalTextData.h"

#include <stdlib.h>

//----------
DModalTextData*		NewDModalTextData ()
{
	DModalTextData*		data;

	data = (DModalTextData*)malloc (sizeof (DModalTextData));
	DModalTextData_Init (data);

	return data;
}

//----------
void	DeleteDModalTextData (
	DModalTextData*		data)
{
	DModalTextData_Free (data);
	free (data);
}

//----------
void	DModalTextData_Init (
	DModalTextData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	AssignPStr (self->mSmall2, "\psmall");
	AssignPStr (self->mLarge2, "\plarge");
	self->mX12346 = 0;
	self->mX12345e7 = 0.0;
	AssignPStr (self->mPassword2, "\ppassword");
	self->mDate2.od.eraAlt = 0;
	GetTime (&self->mDate2.od.oldDate);
	self->mTime2.od.eraAlt = 0;
	GetTime (&self->mTime2.od.oldDate);
	AssignPStr (self->mStyled2, "\pstyled");
}

//----------
void	DModalTextData_Free (
	DModalTextData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
StringPtr	GetSmall2 (
	DModalTextData*		self)
{

	AssignPStr (nil, self->mSmall2);
	return self->mSmall2;
}

void	SetSmall2Str (
	DModalTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mSmall2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall2);
}

void	SetSmall2Handle (
	DModalTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mSmall2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idSmall2);
}

//----------
StringPtr	GetLarge2 (
	DModalTextData*		self)
{

	AssignPStr (nil, self->mLarge2);
	return self->mLarge2;
}

void	SetLarge2Str (
	DModalTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mLarge2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge2);
}

void	SetLarge2Handle (
	DModalTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mLarge2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idLarge2);
}

//----------
SInt32		GetX12346 (
	DModalTextData*		self)
{

	return self->mX12346;
}

void	SetX12346 (
	DModalTextData*		self,
	SInt32		inValue)
{
	self->mX12346 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12346);
}

//----------
double		GetX12345e7 (
	DModalTextData*		self)
{

	return self->mX12345e7;
}

void	SetX12345e7 (
	DModalTextData*		self,
	double		inValue)
{
	self->mX12345e7 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idX12345e7);
}

//----------
StringPtr	GetPassword2 (
	DModalTextData*		self)
{

	AssignPStr (nil, self->mPassword2);
	return self->mPassword2;
}

void	SetPassword2Str (
	DModalTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mPassword2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword2);
}

void	SetPassword2Handle (
	DModalTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mPassword2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idPassword2);
}

//----------
LongDateRec		GetDate2 (
	DModalTextData*		self)
{

	return self->mDate2;
}

void	SetDate2 (
	DModalTextData*		self,
	LongDateRec		inValue)
{
	self->mDate2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idDate2);
}

//----------
LongDateRec		GetTime2 (
	DModalTextData*		self)
{

	return self->mTime2;
}

void	SetTime2 (
	DModalTextData*		self,
	LongDateRec		inValue)
{
	self->mTime2 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idTime2);
}

//----------
StringPtr	GetStyled2 (
	DModalTextData*		self)
{

	AssignPStr (nil, self->mStyled2);
	return self->mStyled2;
}

void	SetStyled2Str (
	DModalTextData*		self,
	Str255		inValue)
{
	AssignPStr (self->mStyled2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled2);
}

void	SetStyled2Handle (
	DModalTextData*		self,
	CharsHandle		inValue)
{
	AssignPStrHandle (self->mStyled2, inValue);
	
	SignalDataChanged ((AMSignaler*) self, idStyled2);
}
