// DModelessRadiosData.cp -- data container class for Everything

#include "PString.h"
#include "DModelessRadiosData.h"

#include <stdlib.h>

//----------
DModelessRadiosData*		NewDModelessRadiosData ()
{
	DModelessRadiosData*		data;

	data = (DModelessRadiosData*)malloc (sizeof (DModelessRadiosData));
	DModelessRadiosData_Init (data);

	return data;
}

//----------
void	DeleteDModelessRadiosData (
	DModelessRadiosData*		data)
{
	DModelessRadiosData_Free (data);
	free (data);
}

//----------
void	DModelessRadiosData_Init (
	DModelessRadiosData*		self)
{
	AMSignaler_Init ((AMSignaler*) self);

	self->mRadioGroup3 = 0;
	self->mGroup3 = 0;
	self->mGraphic5 = 0;
	self->mBevel3 = 0;
	self->mText3 = 0;
}

//----------
void	DModelessRadiosData_Free (
	DModelessRadiosData*		self)
{
	AMSignaler_Free ((AMSignaler*) self);
}

//----------
SInt16		GetRadioGroup3 (
	DModelessRadiosData*		self)
{

	return self->mRadioGroup3;
}

void	SetRadioGroup3 (
	DModelessRadiosData*		self,
	SInt16		inValue)
{
	self->mRadioGroup3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idRadioGroup3);
}

//----------
SInt16		GetGroup3 (
	DModelessRadiosData*		self)
{

	return self->mGroup3;
}

void	SetGroup3 (
	DModelessRadiosData*		self,
	SInt16		inValue)
{
	self->mGroup3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGroup3);
}

//----------
SInt16		GetGraphic5 (
	DModelessRadiosData*		self)
{

	return self->mGraphic5;
}

void	SetGraphic5 (
	DModelessRadiosData*		self,
	SInt16		inValue)
{
	self->mGraphic5 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idGraphic5);
}

//----------
SInt16		GetBevel3 (
	DModelessRadiosData*		self)
{

	return self->mBevel3;
}

void	SetBevel3 (
	DModelessRadiosData*		self,
	SInt16		inValue)
{
	self->mBevel3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idBevel3);
}

//----------
SInt16		GetText3 (
	DModelessRadiosData*		self)
{

	return self->mText3;
}

void	SetText3 (
	DModelessRadiosData*		self,
	SInt16		inValue)
{
	self->mText3 = inValue;
	
	SignalDataChanged ((AMSignaler*) self, idText3);
}
