// DModelessRadiosData -- data class for Everything

#pragma once

#include "AMSignaler.h"

#define idRadioGroup3		'Rad3'
#define idGroup3		'Gro3'
#define idGraphic5		'Gra5'
#define idBevel3		'Bev3'
#define idText3		'Tex5'

//----------
struct DModelessRadiosData {
	AMSignaler		super;

	SInt16		mRadioGroup3;
	SInt16		mGroup3;
	SInt16		mGraphic5;
	SInt16		mBevel3;
	SInt16		mText3;
};
typedef struct DModelessRadiosData DModelessRadiosData;

//----------
DModelessRadiosData*		NewDModelessRadiosData ();
void	DeleteDModelessRadiosData		(DModelessRadiosData*		data);

//----------
void		DModelessRadiosData_Init	(DModelessRadiosData*		self);
void		DModelessRadiosData_Free	(DModelessRadiosData*		self);

SInt16		GetRadioGroup3		(DModelessRadiosData*		self);
void		SetRadioGroup3		(DModelessRadiosData*		self,
							 SInt16		inValue);
SInt16		GetGroup3		(DModelessRadiosData*		self);
void		SetGroup3		(DModelessRadiosData*		self,
							 SInt16		inValue);
SInt16		GetGraphic5		(DModelessRadiosData*		self);
void		SetGraphic5		(DModelessRadiosData*		self,
							 SInt16		inValue);
SInt16		GetBevel3		(DModelessRadiosData*		self);
void		SetBevel3		(DModelessRadiosData*		self,
							 SInt16		inValue);
SInt16		GetText3		(DModelessRadiosData*		self);
void		SetText3		(DModelessRadiosData*		self,
							 SInt16		inValue);
