// ModelessStuff.h -- modeless dialog

#pragma once

#include "AMDialog.h"
#include "DModelessStuffData.h"

//----------
struct ModelessStuff {
	AMDialog		super;

	DModelessStuffData*		mData;

	ControlHandle	mToolsHandle;
	ControlHandle	mPopupsHandle;
	ControlHandle	mFromValuesList2Handle;
	ControlHandle	mFromMenuHandle;
	ControlHandle	mListsHandle;
	ControlHandle	mTextListHandle;
};
typedef struct ModelessStuff ModelessStuff;

//----------
ModelessStuff*		NewModelessStuff ();
void	DeleteModelessStuff		(ModelessStuff*		window);

//public:
void	ModelessStuff_Create ();
void	ModelessStuff_Show ();
void	ModelessStuff_Close ();

//public:
void	ModelessStuff_Init		(ModelessStuff*	self);
void	ModelessStuff_Free		(ModelessStuff*	self);

//public:
void	ModelessStuff_ConnectToData	(ModelessStuff*	self,
								 AMSignaler*	inData);
void	ModelessStuff_DoItem			(ModelessStuff*	self,
								 SInt16		inItemHit);

//protected:
void	ModelessStuff_FinishMake 		(ModelessStuff*	self);
void	ModelessStuff_DataChanged		(ModelessStuff*	self,
								 long		inDataID);
Boolean	ModelessStuff_Filter			(ModelessStuff*	self,
								 EventRecord		*ioEvent,
								 DialogItemIndex	*outItemHit);

//----------
extern DialogPtr		ModelessStuffDialog;
