// ResourceDefs.h 

// Standard Resources: 
// ALRT IDs 
#define AboutID			1
#define NeedsAppearanceID		2
#define IOErrorID		4
#define SaveID			5
#define RevertID		6
#define CantPrintID		8

// 'STR ' IDs 
#define STR_SaveAsPrompt		202

// commands:
#define cmdQuit			'Quit'
#define cmdNew			'New '
#define cmdOpen			'Open'
#define cmdClose		'Cloe'
#define cmdSave			'Save'
#define cmdSaveAs		'Savs'
#define cmdRevert		'Revt'
#define cmdPageSetup	'Pagp'
#define cmdPrint		'Prit'
#define cmdUndo			'Undo'
#define cmdCut			'Cut '
#define cmdCopy			'Copy'
#define cmdPaste		'Pase'
#define cmdClear		'Cler'
#define cmdSelectAll	'Sell'
#define cmdShowClipboard	'Shod'
#define cmdAbout		'Abot'

// Everything Resources: 
#define MENU_Apple		128
#define cAppleAbout		(128 * 65536) + 1

#define MENU_File		129
#define cFileNew		(129 * 65536) + 1
#define cFileOpen		(129 * 65536) + 2
#define cFileClose		(129 * 65536) + 4
#define cFileSave		(129 * 65536) + 5
#define cFileSaveAs		(129 * 65536) + 6
#define cFileRevert		(129 * 65536) + 7
#define cFilePageSetup		(129 * 65536) + 9
#define cFilePrint		(129 * 65536) + 10
#define cFileQuit		(129 * 65536) + 12

#define MENU_Edit		130
#define cEditUndo		(130 * 65536) + 1
#define cEditCut		(130 * 65536) + 3
#define cEditCopy		(130 * 65536) + 4
#define cEditPaste		(130 * 65536) + 5
#define cEditClear		(130 * 65536) + 6
#define cEditSelectAll		(130 * 65536) + 7
#define cEditShowClipboard		(130 * 65536) + 9

#define MENU_Popup		131
#define cPopupApple		(131 * 65536) + 1
#define cPopupBanana		(131 * 65536) + 2
#define cPopupCherry		(131 * 65536) + 3
#define cPopupDonut		(131 * 65536) + 4

#define MENU_Modal		132
#define cModalButtons		(132 * 65536) + 1
#define cModalCheckboxes		(132 * 65536) + 2
#define cModalRadios		(132 * 65536) + 3
#define cModalText		(132 * 65536) + 4
#define cModalStuff		(132 * 65536) + 5
#define cModalMoreStuff		(132 * 65536) + 6

#define MENU_Modeless		133
#define cModelessButtons		(133 * 65536) + 1
#define cModelessCheckboxes		(133 * 65536) + 2
#define cModelessRadios		(133 * 65536) + 3
#define cModelessText		(133 * 65536) + 4
#define cModelessStuff		(133 * 65536) + 5
#define cModelessMoreStuff		(133 * 65536) + 6

#define MENU_Bevel		134
#define cBevelApple		(134 * 65536) + 1
#define cBevelBanana		(134 * 65536) + 2
#define cBevelCherry		(134 * 65536) + 3
#define cBevelDonut		(134 * 65536) + 4


// for Buttons:
#define WIND_Buttons		200
#define CNTL_CapInvisible		201
#define TEXT_CapInvisible		202
#define CNTL_Invisible		203
#define CNTL_Standard		204
#define CNTL_Default		205
#define CNTL_Bevel		206
#define CNTL_Button		207
#define CNTL_Next		209
#define CNTL_Next2		210
#define CNTL_Graphic		211
#define CNTL_Capcicn		212
#define TEXT_Capcicn		213
#define CNTL_Right		214
#define CNTL_Capicl8		217
#define TEXT_Capicl8		218
#define CNTL_Light		219
#define CNTL_CapICN		222
#define TEXT_CapICN		223
#define CNTL_Right2		224
#define CNTL_Capicl9		227
#define TEXT_Capicl9		228
#define CNTL_Button2		229
#define CNTL_Right3		231
#define CNTL_CapPICT		234
#define TEXT_CapPICT		235
#define CNTL_Rect3D		236
#define CNTL_LeftIcon		237
#define CNTL_RightIcon		239
#define CNTL_TitledPICT		240

// for Checkboxes:
#define WIND_Checkboxes		250
#define CNTL_Standard2		251
#define CNTL_Xx		252
#define CNTL_CapTriangle		253
#define TEXT_CapTriangle		254
#define CNTL_Graphic2		255
#define CNTL_Capcicn2		256
#define TEXT_Capcicn2		257
#define CNTL_Light2		258
#define CNTL_Capicl10		259
#define TEXT_Capicl10		260
#define CNTL_Light3		261
#define CNTL_Capicl11		262
#define TEXT_Capicl11		263
#define CNTL_Icl8Next		264
#define CNTL_CapICN2		265
#define TEXT_CapICN2		266
#define CNTL_LR3		267
#define CNTL_CapPICT2		270
#define TEXT_CapPICT2		271
#define CNTL_LR4		272
#define CNTL_Bevel2		275
#define CNTL_NextAlone		276
#define CNTL_Next3		277
#define CNTL_Next4		278

// for Radios:
#define WIND_Radios		280
#define CNTL_RadioGroupGroup	281
#define CNTL_Standard3		282
#define CNTL_GroupBox		283
#define CNTL_GroupGroup	284
#define CNTL_GroupRadio1		285
#define CNTL_GroupRadio2		286
#define CNTL_GroupRadio3		287
#define CNTL_Graphic3Box		288
#define CNTL_Graphic3Group	289
#define CNTL_Stop		290
#define CNTL_Go		293
#define CNTL_Bevel3Box		295
#define CNTL_Bevel3Group	296
#define CNTL_RadioButton		297
#define CNTL_RadioButton2		299
#define CNTL_TextBox		301
#define CNTL_TextGroup	302
#define CNTL_Name		303
#define CNTL_Kind		304
#define CNTL_Size		305

// for EditText:
#define WIND_EditText		310
#define CNTL_Small		311
#define CNTL_Large		312
#define CNTL_X12345		313
#define CNTL_X12345e6		314
#define CNTL_Password		315
#define CNTL_Date		316
#define CNTL_Time		317
#define CNTL_Styled		318

// for Stuff:
#define WIND_Stuff		320
#define CNTL_Tools		321
#define CNTL_Popups		323
#define CNTL_FromValuesList2		324
#define CNTL_FromMenu		325
#define CNTL_Lists		326
#define CNTL_TextList		328

// for Bars:
#define WIND_Bars		330
#define CNTL_Bars		332
#define CNTL_ScrollBars		333
#define CNTL_Standard4		334
#define CNTL_Graphic4		335
#define CNTL_Slider		338
#define CNTL_TickMarks		339
#define CNTL_NonDirectional		340
#define CNTL_LittleArrows		341
#define CNTL_Spinner		342
#define CNTL_VolumeControl		343
#define CNTL_JimSSlider		344
#define CNTL_ProgressBars		345
#define CNTL_Standard5		346
#define CNTL_Indeterminate		347
#define CNTL_ChasingArrows		348
#define CNTL_Rectangle		349
#define CNTL_RoundRect		350
#define CNTL_BarberPole		351
#define CNTL_RoundBarber		352

// for AboutDialog:
#define DLOG_AboutDialog		360

// for ModalButtons:
#define DLOG_ModalButtons		370

// for ModalCheckboxes:
#define DLOG_ModalCheckboxes		390

// for ModalRadios:
#define DLOG_ModalRadios		410

// for ModalText:
#define DLOG_ModalText		430

// for ModalStuff:
#define DLOG_ModalStuff		440

// for ModalBars:
#define DLOG_ModalBars		450

// for ModelessButtons:
#define DLOG_ModelessButtons		480

// for ModelessCheckboxes:
#define DLOG_ModelessCheckboxes		500

// for ModelessRadios:
#define DLOG_ModelessRadios		520

// for ModelessText:
#define DLOG_ModelessText		540

// for ModelessStuff:
#define DLOG_ModelessStuff		550

// for ModelessBars:
#define DLOG_ModelessBars		560

// commands:
#define cmdInvokeAbout		'Invt'
#define cmdModalButtons		'Invs'
#define cmdModalCheckboxes		'Inv2'
#define cmdModalRadios		'Inv3'
#define cmdModalText		'Inv4'
#define cmdModalStuff		'Inv5'
#define cmdModalMoreStuff		'Inv6'
#define cmdModelessButtons		'Inv7'
#define cmdModelessCheckboxes		'Inv8'
#define cmdModelessRadios		'Inv9'
#define cmdModelessText		'In10'
#define cmdModelessStuff		'In11'
#define cmdModelessMoreStuff		'In12'

// menu handles
extern MenuHandle		AppleMenu;
extern MenuHandle		FileMenu;
extern MenuHandle		EditMenu;
extern MenuHandle		PopupMenu;
extern MenuHandle		ModalMenu;
extern MenuHandle		ModelessMenu;
extern MenuHandle		BevelMenu;
extern MenuHandle		FromValuesList2Menu;
