// GadgetsDoc.h -- document-level functions

#pragma once

#include "AMDoc.h"

#include "GadgetsEngine.h"

//----------
struct GadgetsDoc {
	AMDoc		super;

	WindowPtr		mButtonsPtr;
	WindowPtr		mTabbedPanelPtr;
	WindowPtr		mEditTextPtr;
};
typedef struct GadgetsDoc GadgetsDoc;

//----------
GadgetsDoc*		NewGadgetsDoc ();

//----------
void	GadgetsDoc_Init	(GadgetsDoc*	self);
void	GadgetsDoc_Free	(GadgetsDoc*	self);

// overrides:
Boolean		DoDocCommand	(AMDoc*		self,
							 long		inCommand);

void		OpenWindows		(AMDoc*		self);
Boolean		WouldCloseDoc	(AMDoc*		self,
							 WindowPtr	windPtr);
