// DDocData -- data class for Temperature

#pragma once

#include "AMSignaler.h"

#define idCentigrade		'Cene'
#define idFahrenheit		'Faht'

//----------
struct DDocData {
	AMSignaler		super;

	SInt32		mCentigrade;
	SInt32		mFahrenheit;
};
typedef struct DDocData DDocData;

//----------
DDocData*		NewDDocData ();
void	DeleteDDocData		(DDocData*		data);

//----------
void		DDocData_Init	(DDocData*		self);
void		DDocData_Free	(DDocData*		self);

SInt32		GetCentigrade		(DDocData*		self);
void		SetCentigrade		(DDocData*		self,
							 SInt32		inValue);
SInt32		GetFahrenheit		(DDocData*		self);
void		SetFahrenheit		(DDocData*		self,
							 SInt32		inValue);
