// ResourceDefs.h 

// Standard Resources: 
// ALRT IDs 
#define AboutID			1
#define NeedsAppearanceID		2
#define IOErrorID		4
#define SaveID			5
#define RevertID		6
#define CantPrintID		8

// 'STR ' IDs 
#define STR_SaveAsPrompt		202

// commands:
#define cmdQuit			'Quit'
#define cmdNew			'New '
#define cmdOpen			'Open'
#define cmdClose		'Cloe'
#define cmdSave			'Save'
#define cmdSaveAs		'Savs'
#define cmdRevert		'Revt'
#define cmdPageSetup	'Pagp'
#define cmdPrint		'Prit'
#define cmdUndo			'Undo'
#define cmdCut			'Cut '
#define cmdCopy			'Copy'
#define cmdPaste		'Pase'
#define cmdClear		'Cler'
#define cmdSelectAll	'Sell'
#define cmdShowClipboard	'Shod'
#define cmdAbout		'Abot'

// Temperature Resources: 
#define MENU_Apple		128
#define cAppleAbout		(128 * 65536) + 1

#define MENU_File		129
#define cFileNew		(129 * 65536) + 1
#define cFileOpen		(129 * 65536) + 2
#define cFileClose		(129 * 65536) + 4
#define cFileSave		(129 * 65536) + 5
#define cFileSaveAs		(129 * 65536) + 6
#define cFileRevert		(129 * 65536) + 7
#define cFilePageSetup		(129 * 65536) + 9
#define cFilePrint		(129 * 65536) + 10
#define cFileQuit		(129 * 65536) + 12

#define MENU_Edit		130
#define cEditUndo		(130 * 65536) + 1
#define cEditCut		(130 * 65536) + 3
#define cEditCopy		(130 * 65536) + 4
#define cEditPaste		(130 * 65536) + 5
#define cEditClear		(130 * 65536) + 6
#define cEditSelectAll		(130 * 65536) + 7
#define cEditShowClipboard		(130 * 65536) + 9


// for MainWindow:
#define WIND_MainWindow		200
#define CNTL_Centigrade		201
#define TEXT_Centigrade		202
#define CNTL_EditCentigrade		203
#define CNTL_Fahrenheit		204
#define TEXT_Fahrenheit		205
#define CNTL_EditFahrenheit		206
#define CNTL_CentSlider		207
#define CNTL_FahrBar		208

// for AboutDialog:
#define DLOG_AboutDialog		210

// commands:
#define cmdInvokeAbout		'Invt'

// menu handles
extern MenuHandle		AppleMenu;
extern MenuHandle		FileMenu;
extern MenuHandle		EditMenu;
