/* TemperatureEngine.h -- application-specific data management */

#pragma once

#include "AMEngine.h"

/* Define the creator type and file type for your application. */

#define kSignature		'XXXX'
#define kFileType		'TEXT'

#include "DDocData.h"

//----------
struct TemperatureEngine {
	AMEngine		super;
};
typedef struct TemperatureEngine TemperatureEngine;

//----------
TemperatureEngine*		NewTemperatureEngine ();

//----------
void	TemperatureEngine_Init		(TemperatureEngine*		self);
void	TemperatureEngine_Free		(TemperatureEngine*		self);

DDocData*	GetDocData	(TemperatureEngine*		self);

// overrides:
void	InitData		(AMEngine*		engine);
void	DisposeData		(AMEngine*		engine);
void	ReadFile		(AMEngine*		engine);
void	WriteFile		(AMEngine*		engine);
